Last Comment Bug 465504 - Include an identity indicator in primary chrome (EV certificate UI)
: Include an identity indicator in primary chrome (EV certificate UI)
Status: RESOLVED FIXED
: fixed-seamonkey2.0
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: All All
: -- major with 1 vote (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
Depends on:
Blocks: 498618 579731
  Show dependency treegraph
 
Reported: 2008-11-18 04:11 PST by neil@parkwaycc.co.uk
Modified: 2013-09-11 08:27 PDT (History)
12 users (show)
iann_bugzilla: wanted‑seamonkey2.0+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Minimalist UI (2.49 KB, patch)
2008-11-18 04:14 PST, neil@parkwaycc.co.uk
no flags Details | Diff | Splinter Review
Not the proposed UI as far as I know (44.29 KB, image/png)
2008-11-23 15:52 PST, neil@parkwaycc.co.uk
no flags Details
Status bar only, v2 (5.16 KB, patch)
2009-04-07 13:44 PDT, neil@parkwaycc.co.uk
jag-mozilla: review+
kairo: ui‑review+
Details | Diff | Splinter Review
Status bar, Modern theming (4.49 KB, patch)
2009-04-16 05:51 PDT, neil@parkwaycc.co.uk
jag-mozilla: review+
jag-mozilla: superreview+
Details | Diff | Splinter Review
URLbar icon idea, Classic theme only (5.03 KB, patch)
2009-04-17 16:51 PDT, neil@parkwaycc.co.uk
jag-mozilla: superreview+
kairo: ui‑review+
Details | Diff | Splinter Review
Addressed review comments (4.76 KB, patch)
2009-04-29 16:02 PDT, neil@parkwaycc.co.uk
iann_bugzilla: review+
kairo: ui‑review+
Details | Diff | Splinter Review
Comparison of new identity image and old feed icon (1.39 KB, image/gif)
2009-05-01 01:12 PDT, neil@parkwaycc.co.uk
no flags Details
Paypal with no EV Certificate. (67.36 KB, image/png)
2009-05-01 05:20 PDT, Philip Chee
no flags Details
URL bar, Modern theming (1.51 KB, patch)
2009-06-11 08:54 PDT, neil@parkwaycc.co.uk
iann_bugzilla: review+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2008-11-18 04:11:57 PST
The SSL backend has been updated to provide identity validation but it is currently inaccessible.
Comment 1 neil@parkwaycc.co.uk 2008-11-18 04:14:57 PST
Created attachment 348745 [details] [diff] [review]
Minimalist UI
Comment 2 Peter Weilbacher 2008-11-18 05:36:23 PST
You don't want to add the green background in the URL bar that I think was suggested multiple times in the newsgroup?
Comment 3 Philip Chee 2008-11-18 09:52:03 PST
Hmm. Shouldn't classic use system colours?
Comment 4 neil@parkwaycc.co.uk 2008-11-18 11:24:54 PST
Sadly we don't have a system EV colour.
Comment 5 Robert Kaiser 2008-11-20 16:25:24 PST
Hmm, I must admit that this solution isn't as bad as I thought.
I still would really like
1) to get rid of the lock at the same time and use the "Larry" metaphor instead,
2) some indication on the URLbar and
3) some way to get to the full security info from the URLbar area.

For 1) we probably could go a just replace the lock icon with a passport man ("Larry") icon instead.
For 2) we could probably go and make the URLbar background greenish as well (maybe copy the green value from FF in the absence of a system color).
To meet 3), would single-clicking the site icon bringing up the page info's security tab help?

An additional idea would be to integrate the information if the Larry popup thingy into that tab of page info, including the color-coded large Larry icon.
Comment 6 Robert Kaiser 2008-11-20 16:37:44 PST
Hmm, I see that Firefox also still has the lock in the statusbar, I thought they had removed it. I like their solution of just hiding the whole statusbarpanel on non-SSL pages, but I like yours of showing the EV name next to the icon. I'd follow their style of showing the icon to the right though, so that the icon doesn't move around when going to different sites.
Comment 7 neil@parkwaycc.co.uk 2008-11-21 03:30:13 PST
(In reply to comment #5)
> (maybe copy the green value from FF in the absence of a system color).
I admit I didn't look to see what green value FF uses.

> would single-clicking the site icon bringing up the page info's security tab help?
No, that's "focus and select urlbar"; single-clicking the lock icon works.

(In reply to comment #6)
> I'd follow their style of showing the icon to the right though, so
OK, that's a simple CSS tweak.
Comment 8 Robert Kaiser 2008-11-21 04:39:43 PST
(In reply to comment #7)
> > would single-clicking the site icon bringing up the page info's security tab help?
> No, that's "focus and select urlbar"; single-clicking the lock icon works.

The problem is that a real lot of people don't even notice that this thing in the right bottom of the screen, don't know it has any connection to the address being displayed in the URLbar, and won't look there for anything important as this region of the screen is where usually only annoying stuff pops up which they feel they don't need anyhow.
Comment 9 neil@parkwaycc.co.uk 2008-11-21 04:44:13 PST
We could add a Larry icon next to the Feed icon that would appear for EV certs?
Comment 10 Philip Chee 2008-11-21 04:49:40 PST
> We could add a Larry icon next to the Feed icon that would appear for EV certs?

I think it should be on the left like in Firefox. How does Safari and IE8beta do this?
Comment 11 Nelson Bolyard (seldom reads bugmail) 2008-11-22 21:23:06 PST
Would someone please attach a screen shot showing the proposed new UI?
Merci
Comment 12 neil@parkwaycc.co.uk 2008-11-23 15:52:23 PST
Created attachment 349678 [details]
Not the proposed UI as far as I know

This is a screenshot simulating some possible UI. (As it happens attachment 348745 [details] [diff] [review] provides one of the given simulations.)

Note that nothing about this image should be taken as definite, for example colours are subject to change.
Comment 13 Nelson Bolyard (seldom reads bugmail) 2008-11-23 16:25:49 PST
Any new UI should be tested on EV certs from more than one issuer.  
It's not enough to only test with certs from Verisign, IMO.  To that end, 
we must amass a collection of URLs using EV certs from other issuers.
I'll ask Kathleen.
Comment 14 Robert Kaiser 2008-11-23 16:34:22 PST
Ask her for what? Testing UI we don't even have a patch for yet? The screen shot is about proposals, the patch here only implements a part of one proposal there, and we don't even yet know what we want. It would be enough for now to get an opinion on what we actually want to have.
Comment 15 Steve Wendt 2008-11-23 16:51:12 PST
(In reply to comment #14)
> It would be enough for now to get an opinion on what we actually want to have.

Obscuring a large part of the URL in the URL bar with the site owner's name doesn't seem very nice.  Sticking that in the status bar, where there's a lot more space available, seems better, but it doesn't mesh with either the lock or "Larry" icons in the examples given.  Perhaps if the light green from the "Larry" icon were used, it would look like they belong together.  And that same color could be used as the background color of the URL bar, rather than yellow?
Comment 16 Justin Wood (:Callek) 2008-11-26 05:54:34 PST
Comment on attachment 349678 [details]
Not the proposed UI as far as I know

Given this mockup, the only one I think I could tolerate out of "just these options" is the Larry Icon in status-bar.

In "Locale Read Order" (aka: larry icon first, Left in LTR right in RTL)

If we use it in URL-bar we'll need some *clear* differentiation between larry and URL imo, and I'm also ok with a green-ish background color for url to mimic our "up to now" url security UI
Comment 17 Robert Kaiser 2008-11-26 06:20:33 PST
Comment on attachment 349678 [details]
Not the proposed UI as far as I know

Out of those options, I like the Larry icon in the URLbar as shown in the top of the window, and I actually like the topmost version of the statusbar indicator best as well, with a Larry icon on the right, though a modified lock icon that resonates better with the green background would be OK as well. What about using the same green backgound for the name as in the Larry icon.
Comment 18 Philip Chee 2008-11-26 06:30:37 PST
I'm conflicted. I think that the Larry icon should be in the URL bar but I think that the green verified name just takes up too much space.

For the status bar version I agree with KaiRo that the icon should be on the right of the label.
Comment 19 Nelson Bolyard (seldom reads bugmail) 2008-11-26 09:46:54 PST
Remember, a major purpose for the EV UI is to put the CA-verified name of the
party behind the cert into the view of the user, requiring no more than a 
glance.  The Larry icon doesn't do that, AFAICT.
Comment 20 Justin Wood (:Callek) 2008-11-26 14:32:02 PST
(In reply to comment #19)
> Remember, a major purpose for the EV UI is to put the CA-verified name of the
> party behind the cert into the view of the user, requiring no more than a 
> glance.  The Larry icon doesn't do that, AFAICT.

A larry icon that is clickable/expands outbound would. Plus we have it in statusbar.

Realize that currently we have *no* EV UI, and I'm happy for almost any improvement in that arena
Comment 21 Robert Kaiser 2008-11-27 05:46:07 PST
And I don't think reducing the space for the display of the actual location in the URLbar is something we should do.
Comment 22 Ian Neal 2009-03-10 07:41:15 PDT
I like Callek's suggestion in comment 20.
Comment 23 neil@parkwaycc.co.uk 2009-04-07 13:44:03 PDT
Created attachment 371513 [details] [diff] [review]
Status bar only, v2

This is Classic-only, I'm afraid, as I can't usefully copy the PNG icons into Modern until after the update to Classic has been pushed...
Comment 24 Robert Kaiser 2009-04-09 14:26:46 PDT
Comment on attachment 371513 [details] [diff] [review]
Status bar only, v2

Basically looks good as a first step towards the goal, but could we make the whole #security-button panel have that color in the EV case? It looks strange here where the label and the icon have different heights...
Comment 25 neil@parkwaycc.co.uk 2009-04-09 16:00:15 PDT
Comment on attachment 371513 [details] [diff] [review]
Status bar only, v2

Unfortunately we can't affect the background colour of statusbarpanels, at least not in Classic (so it would look odd only doing it in Modern).
Comment 26 jag (Peter Annema) 2009-04-14 13:28:13 PDT
Comment on attachment 371513 [details] [diff] [review]
Status bar only, v2

>diff --git a/suite/browser/nsBrowserStatusHandler.js b/suite/browser/nsBrowserStatusHandler.js
>--- a/suite/browser/nsBrowserStatusHandler.js
>+++ b/suite/browser/nsBrowserStatusHandler.js
>@@ -77,6 +77,9 @@
>     this.feedsMenu       = document.getElementById("feedsMenu");
>     this.feedsButton     = document.getElementById("feedsButton");
> 
>+    if (!this.securityButton)
>+      return;
>+

You probably don't need this ;-)
Comment 27 neil@parkwaycc.co.uk 2009-04-15 05:57:30 PDT
Comment on attachment 371513 [details] [diff] [review]
Status bar only, v2

Pushed changeset 8885d1e05ac8 to comm-central.
Comment 28 neil@parkwaycc.co.uk 2009-04-16 05:51:09 PDT
Created attachment 373099 [details] [diff] [review]
Status bar, Modern theming

The irony here is that the Classic png files were created from the Modern gifs.
Comment 29 neil@parkwaycc.co.uk 2009-04-17 07:47:09 PDT
Comment on attachment 373099 [details] [diff] [review]
Status bar, Modern theming

Pushed changeset 0877b1f517cc to comm-central.
Comment 30 neil@parkwaycc.co.uk 2009-04-17 16:51:25 PDT
Created attachment 373402 [details] [diff] [review]
URLbar icon idea, Classic theme only

See what you think. Classic-only again so I can hg copy the icon to Modern.
Comment 31 Robert Kaiser 2009-04-20 06:49:07 PDT
Comment on attachment 373402 [details] [diff] [review]
URLbar icon idea, Classic theme only

Looks good, with two nits:
1) There's no space between the icon and the dropdown arrow left of the urlbar, I think there should be at least 1px of margin there.
2) Right-clicking on the icon brings up both the navigation toolbar context menu and the pageinfo security tab, it should bring up only one of them.
Comment 32 neil@parkwaycc.co.uk 2009-04-29 16:02:29 PDT
Created attachment 375100 [details] [diff] [review]
Addressed review comments
Comment 33 jag (Peter Annema) 2009-04-30 23:10:51 PDT
Neil: Did you address comment 31's nit 1?
Comment 34 Philip Chee 2009-05-01 00:27:57 PDT
Is there a test case I can use to verify this bug?
Comment 35 neil@parkwaycc.co.uk 2009-05-01 01:12:57 PDT
Created attachment 375306 [details]
Comparison of new identity image and old feed icon

The old identity image was too big, so I reduced it to match the feed icon.
Comment 36 Robert Kaiser 2009-05-01 04:55:59 PDT
(In reply to comment #34)
> Is there a test case I can use to verify this bug?

https://www.paypal.com/ uses an EV certificate, so it should make us display all this UI. I don't know of any page that has both an EV cert and a feed though, where we would use both icons in the URLbar.
Comment 37 Robert Kaiser 2009-05-01 05:09:19 PDT
Comment on attachment 375100 [details] [diff] [review]
Addressed review comments

Looks good now. I somewhat wonder if we should make the tooltip multi-line here and display something like:

www.paypal.com
Owner: PayPal, Inc. (US)
Verified by: Verisign, Inc.

We still need some slight beefing up of Page Info after this, but I think we are nearing a reasonable UI here.
Comment 38 Philip Chee 2009-05-01 05:20:34 PDT
Created attachment 375324 [details]
Paypal with no EV Certificate.

> https://www.paypal.com/ uses an EV certificate, so it should make us display
> all this UI. I don't know of any page that has both an EV cert and a feed
> though, where we would use both icons in the URLbar.

Screenshot showing paypal with no Larry in the URLbar.

Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.9.1b5pre) Gecko/20090501 SeaMonkey/2.0b1pre
Comment 39 Philip Chee 2009-05-02 09:57:55 PDT
>> Basically looks good as a first step towards the goal, but could we make the
>> whole #security-button panel have that color in the EV case? It looks strange
>> here where the label and the icon have different heights...
> Unfortunately we can't affect the background colour of statusbarpanels, at
> least not in Classic (so it would look odd only doing it in Modern).

The following seems to work in classic:

#security-button[label] {
  -moz-appearance: none;
  background-color: #62C441;
  border-right-color: #006400;
  border-bottom-color: #006400;
  border-top-color: #62C441;
  border-left-color: #62C441;
}
Comment 40 neil@parkwaycc.co.uk 2009-05-02 12:02:07 PDT
That might work in XP Luna, but what about W2K, Vista, W7, ... ?
Comment 41 Philip Chee 2009-05-02 17:56:34 PDT
I know that XP Luna is eccentric and all that, but is there any reason to expect this not to work in W2K, Vista, W7, etc? I don't use any of those so this is a serious question.
Comment 42 neil@parkwaycc.co.uk 2009-05-03 06:02:14 PDT
W2K: uses Classic colours (ThreeD*Shadow)
XP: uses Luna or Classic or third-party colours
Vista: uses Aero or Classic or third-party colours
W7: unknown
Comment 43 Robert Kaiser 2009-05-03 07:41:11 PDT
But we always want white text this specific green background there, independent of the system theme, right?
Comment 44 neil@parkwaycc.co.uk 2009-06-02 07:55:32 PDT
Sure, that bit is not theme-specific, only the border is.
Comment 45 Ian Neal 2009-06-10 14:59:24 PDT
Comment on attachment 375100 [details] [diff] [review]
Addressed review comments

Seems good, works fine on classic on linux. Should it be showing on modern or is that another patch?
Comment 46 neil@parkwaycc.co.uk 2009-06-10 15:45:39 PDT
I'm doing Modern separately so that I can hg copy the image ;-)
Comment 47 neil@parkwaycc.co.uk 2009-06-10 15:57:41 PDT
Comment on attachment 375100 [details] [diff] [review]
Addressed review comments

Pushed changeset 6c5a94b9bba2 to comm-central.
Comment 48 Peter Weilbacher 2009-06-11 03:19:23 PDT
I have lost track of what the different patches are about, but are you aware that (in Classic) the status bar display of EV pages still looks pretty ugly because the background of the company name and the icon have different green heights?
Comment 49 Philip Chee 2009-06-11 03:31:25 PDT
> I have lost track of what the different patches are about, but are you aware
> that (in Classic) the status bar display of EV pages still looks pretty ugly
> because the background of the company name and the icon have different green
> heights?

Please read comment 39 to comment 44.
Comment 50 Peter Weilbacher 2009-06-11 07:42:37 PDT
Your CSS snippet from comment 39 has no effect for me (Classic theme on Linux), even though DOM-I confirms that it does get picked up from userChrome.css after a restart.
Comment 51 Philip Chee 2009-06-11 08:41:13 PDT
Your question was "are you aware that (in Classic) the status bar display of EV pages still looks pretty ugly".

I was merely pointing out that comments 39-44 should have made it obvious that we are. I did not mean to imply that there was currently a satisfactory solution to your plaint.
Comment 52 neil@parkwaycc.co.uk 2009-06-11 08:54:32 PDT
Created attachment 382737 [details] [diff] [review]
URL bar, Modern theming
Comment 53 neil@parkwaycc.co.uk 2009-06-16 05:17:38 PDT
Pushed changeset 907e95be5142 to comm-central.
Comment 54 Robert Kaiser 2009-09-18 06:18:47 PDT
Adding fixed-seamonkey2.0 to make it go away from "unfixed wanted" query

Note You need to log in before you can comment on or make changes to this bug.